package com.sooka.system.mapper;

import java.util.List;
import com.sooka.system.domain.TULog;

/**
 * 接口调用日志Mapper接口
 * 
 * @author lei
 * @date 2021-07-06
 */
public interface TULogMapper 
{
    /**
     * 查询接口调用日志
     * 
     * @param id 接口调用日志ID
     * @return 接口调用日志
     */
    public TULog selectTULogById(String id);

    /**
     * 查询接口调用日志列表
     * 
     * @param tULog 接口调用日志
     * @return 接口调用日志集合
     */
    public List<TULog> selectTULogList(TULog tULog);

    /**
     * 新增接口调用日志
     * 
     * @param tULog 接口调用日志
     * @return 结果
     */
    public int insertTULog(TULog tULog);

    /**
     * 修改接口调用日志
     * 
     * @param tULog 接口调用日志
     * @return 结果
     */
    public int updateTULog(TULog tULog);

    /**
     * 删除接口调用日志
     * 
     * @param id 接口调用日志ID
     * @return 结果
     */
    public int deleteTULogById(String id);

    /**
     * 批量删除接口调用日志
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTULogByIds(String[] ids);
}
